Bug 975896 - rosdep init fails
rosdep init fails
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: python-rospkg (Show other bugs)
19
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Rich Mattes
Fedora Extras Quality Assurance
:
Depends On: 926034
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-19 10:32 EDT by Mark Patton
Modified: 2013-09-09 19:59 EDT (History)
2 users (show)

See Also:
Fixed In Version: python-rosdep-0.10.21-1.fc19
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-09-09 19:56:08 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Mark Patton 2013-06-19 10:32:51 EDT
Description of problem:

When as root I try to run "rosdep init", it fails with an internal error.

Version-Release number of selected component (if applicable):

python-rospkg-1.0.20-1.20130318git0a4448e.fc19.noarch

How reproducible:

Every time

Steps to Reproduce:
1. sudo rosdep init

Actual results:

failed to load symbols, rosdep will not function properly
Cannot import rospkg, rosdep will not function properly
Traceback (most recent call last):
  File "/usr/bin/rosdep", line 3, in <module>
    from rosdep2.main import rosdep_main
  File "/usr/lib/python2.7/site-packages/rosdep2/main.py", line 50, in <module>
    from .lookup import RosdepLookup, ResolutionError
  File "/usr/lib/python2.7/site-packages/rosdep2/lookup.py", line 41, in <module>
    from .rospkg_loader import RosPkgLoader
  File "/usr/lib/python2.7/site-packages/rosdep2/rospkg_loader.py", line 37, in <module>
    import catkin_pkg.package
ImportError: No module named catkin_pkg.package

Expected results:

Command success.

Additional info:

python-rospkg is instealled.
Comment 1 Rich Mattes 2013-06-19 13:26:49 EDT
Did you source /usr/share/ros/setup.sh before running rosdep?
Comment 2 Mark Patton 2013-06-19 14:02:19 EDT
No I did not, but trying again after sourcing as above results in exactly the same error.
Comment 3 Rich Mattes 2013-06-19 20:37:14 EDT
Ok, it looks like i accidentally pushed a version of rosdep that depends on catkin_pkg, which is still under review.  I'm going to add that review request as a blocker and try to get it into Fedora as soon as possible.  In the meantime you can try building the catkin_pkg rpm yourself.
Comment 4 Fedora Update System 2013-08-23 23:24:04 EDT
python-rosdep-0.10.21-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/python-rosdep-0.10.21-1.fc19
Comment 5 Fedora Update System 2013-08-23 23:24:44 EDT
python-rosdep-0.10.21-1.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/python-rosdep-0.10.21-1.fc18
Comment 6 Fedora Update System 2013-08-24 18:24:14 EDT
Package python-rosdep-0.10.21-1.fc18:
* should fix your issue,
* was pushed to the Fedora 18 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing python-rosdep-0.10.21-1.fc18'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-15251/python-rosdep-0.10.21-1.fc18
then log in and leave karma (feedback).
Comment 7 Fedora Update System 2013-09-09 19:56:08 EDT
python-rosdep-0.10.21-1.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 8 Fedora Update System 2013-09-09 19:59:32 EDT
python-rosdep-0.10.21-1.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.